My Project: dht::DhtProxyServer::ServerStats Struct Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
dht::DhtProxyServer::ServerStats Struct Reference
Collaboration diagram for dht::DhtProxyServer::ServerStats:
[legend]

## Public Member Functions
std::string | toString () const
Json::Value | toJson () const

## Public Attributes
size_t | listenCount {0}
size_t | putCount {0}
size_t | totalPermanentPuts {0}
size_t | pushListenersCount {0}
time_point | serverStartTime
time_point | lastUpdated
PushStats | androidPush
PushStats | iosPush
PushStats | unifiedPush
double | requestRate {0}
std::shared_ptr< NodeInfo > | nodeInfo {}

## Detailed Description

Definition at line 109 of file dht_proxy_server.h.

## Member Function Documentation

## ◆ toJson()

Json::Value dht::DhtProxyServer::ServerStats::toJson | ( |  | ) | const

Build a json object from a NodeStats

## Member Data Documentation

## ◆ androidPush

PushStats dht::DhtProxyServer::ServerStats::androidPush

Total number of push notification requests that the server attempted to send since being started, broken down by type and priority level

Definition at line 126 of file dht_proxy_server.h.

## ◆ iosPush

PushStats dht::DhtProxyServer::ServerStats::iosPush

Definition at line 127 of file dht_proxy_server.h.

## ◆ lastUpdated

time_point dht::DhtProxyServer::ServerStats::lastUpdated

Last time at which the stats were updated

Definition at line 123 of file dht_proxy_server.h.

## ◆ listenCount

size_t dht::DhtProxyServer::ServerStats::listenCount {0}

Current number of listen operations

Definition at line 112 of file dht_proxy_server.h.

## ◆ nodeInfo

std::shared_ptr<NodeInfo> dht::DhtProxyServer::ServerStats::nodeInfo {}

Node Info

Definition at line 133 of file dht_proxy_server.h.

## ◆ pushListenersCount

size_t dht::DhtProxyServer::ServerStats::pushListenersCount {0}

Current number of push tokens with at least one listen operation

Definition at line 118 of file dht_proxy_server.h.

## ◆ putCount

size_t dht::DhtProxyServer::ServerStats::putCount {0}

Current number of permanent put operations (hash used)

Definition at line 114 of file dht_proxy_server.h.

## ◆ requestRate

double dht::DhtProxyServer::ServerStats::requestRate {0}

Average requests per second

Definition at line 131 of file dht_proxy_server.h.

## ◆ serverStartTime

time_point dht::DhtProxyServer::ServerStats::serverStartTime

Time at which the server was started

Definition at line 121 of file dht_proxy_server.h.

## ◆ totalPermanentPuts

size_t dht::DhtProxyServer::ServerStats::totalPermanentPuts {0}

Current number of permanent put values

Definition at line 116 of file dht_proxy_server.h.

## ◆ unifiedPush

PushStats dht::DhtProxyServer::ServerStats::unifiedPush

Definition at line 128 of file dht_proxy_server.h.

The documentation for this struct was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/dht_proxy_server.h